Reword post edit notification to reflect save->publish change on desktop
Closed, ResolvedPublic1 Story Points

Description

I thought the word "saved" was replaced with "published" recently. I see most of the messages reflecting the change except the success message of VE. It still shows "Your edit was saved." and not "Your edit was published."

Reported: https://www.mediawiki.org/wiki/Topic:U4x93yxf8jom1pgc

TheDJ created this task.Jan 2 2018, 10:03 AM
TheDJ triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 10:03 AM
Kaartic added a subscriber: Kaartic.Jan 2 2018, 4:50 PM
Deskana set the point value for this task to 1.Jan 2 2018, 5:37 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.

Here's another instance that probably has to be changed,

I guess it's related but different because the message shown is a little different

Elitre added a subscriber: Elitre.Jan 5 2018, 2:19 PM

Change 348749 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] postEdit: Show a different success messsage on publish vs. save wikis

https://gerrit.wikimedia.org/r/348749

Jdforrester-WMF closed this task as Resolved.Jan 30 2018, 7:41 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 30 2018, 7:41 PM

Change 348749 merged by jenkins-bot:
[mediawiki/core@master] postEdit: Show a different success messsage on publish vs. save wikis

https://gerrit.wikimedia.org/r/348749

GeoffreyT2000 reopened this task as Open.Mar 7 2018, 3:06 AM
GeoffreyT2000 added a subscriber: GeoffreyT2000.

When I save an edit on Wikipedia, it still says "Your edit was saved", not "Your edit was published". I am thus reopening this, which needs a more careful patch to be actually fixed.

Deskana closed this task as Resolved.Mar 7 2018, 7:38 AM
Deskana added a subscriber: Deskana.

When I save an edit on Wikipedia, it still says "Your edit was saved", not "Your edit was published". I am thus reopening this, which needs a more careful patch to be actually fixed.

Changes to code do not take immediate effect. Tasks are closed as resolved when the code is merged and will be automatically deployed. The change will go live next week.

Deskana reopened this task as Open.Mar 8 2018, 6:05 PM

Please ignore my above comment. I completely misread the ticket.

@GeoffreyT2000 is right; this isn't working, and it should be. The below screenshot is from the English Wikipedia.

Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 422174 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: use -published message instead of -saved

https://gerrit.wikimedia.org/r/422174

DLynch claimed this task.Mar 27 2018, 3:37 PM
DLynch moved this task from Up next to Code review and QA on the VisualEditor (Current work) board.
DLynch added subscribers: Jdforrester-WMF, DLynch.

This is the postedit-confirmation-saved message, which needs to get adjusted to postedit-confirmation-published in a few places.

Patch handles the VE cases.

There's also resources/src/mediawiki.action/mediawiki.action.view.postEdit.js which uses saved directly, if it's the value stored in the wgPostEdit config, which the classic EditPage setPostEditCookie does. Since that's entirely an old-editor path, I think, should it be updated as well or left alone?

Change 422174 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: use -published message instead of -saved

https://gerrit.wikimedia.org/r/422174

Ryasmeen added a subscriber: Ryasmeen.EditedMar 29 2018, 9:53 PM

I just noticed we haven't changed the wording of post edit notification for mobile VE to be "Published". Shouldn't we change it there as well?

I just noticed we haven't changed the wording of post edit notification for mobile VE to be "Published". Shouldn't we change it there as well?

@Ryasmeen You seem to be second person to report that on this task. T183901#3874213

I'm wondering this actually requires a separate task: T191104

Deskana renamed this task from Reword post edit notification to reflect save->publish change to Reword post edit notification to reflect save->publish change on desktop.Apr 3 2018, 6:51 PM
Deskana closed this task as Resolved.

This task was always about desktop because of the description, so this is resolved now.